Subject: [Extra] new version of objectid draft uploaded

From: Bron Gondwana <[email-masked]>
Date: Wed, 18 Jul 2018 06:09:58 +1000

Hi All,

I've just uploaded draft-ietf-extra-imap-objectid-04, based on multiple
reviews.  Thanks to:
Alexey (AD)
Pete (GenArt)
Chris (SecDir)

Here's the set of changes:

* described NIL THREADID in more detail (ad review)
* made RFC5256 a normative reference (ad review)
* fixed ABNF missing quote (ad review)
* documented hash upgrade process (ad review)
* referenced RFC3501 for INBOX rename (ad review)
* referenced RFC3501 security considerations (secdir review)
* turned mealy-mouthed "SHOULDs" in to "MUSTs" on immutability
  (genart review)* remove suggested algorithms which are no longer legitimate
  (genart review)* updated proxy advice to suggest rewriting ids (genart review)
* fixed minor gramatical issues (genart review)
* required that EMAILID and THREADID are not identical (own decision)

====

Of particular interest is that EMAILID and THREADID now MUST be
different (just prefix them if they may otherwise clash!) and a whole
lot of SHOULD turned into MUST.  Everyone who's going to implement this
already has stable storage for their IDs, and it means clients can
really rely on these IDs.
I would appreciate any further reviews!

Thanks,

Bron.

--
  Bron Gondwana, CEO, FastMail Pty Ltd
  [email-masked]

---

From: Pete Resnick <[email-masked]>
Date: Tue, 17 Jul 2018 20:41:51 +0000

Why is it a SHOULD NOT instead of a MUST NOT in §4¶5?

No changes to 8.3 SHOULDs to shoulds?

pr

On 17 Jul 2018, at 16:09, Bron Gondwana wrote:

Hi All,

I've just uploaded draft-ietf-extra-imap-objectid-04, based on multiple reviews.  Thanks to:

Alexey (AD)
Pete (GenArt)
Chris (SecDir)

* described NIL THREADID in more detail (ad review)
* made RFC5256 a normative reference (ad review)
* fixed ABNF missing quote (ad review)
* documented hash upgrade process (ad review)
* referenced RFC3501 for INBOX rename (ad review)
* referenced RFC3501 security considerations (secdir review)
* turned mealy-mouthed "SHOULDs" in to "MUSTs" on immutability (genart review)
* remove suggested algorithms which are no longer legitimate (genart review)
* updated proxy advice to suggest rewriting ids (genart review)
* fixed minor gramatical issues (genart review)
* required that EMAILID and THREADID are not identical (own decision)

====

Of particular interest is that EMAILID and THREADID now MUST be different (just prefix them if they may otherwise clash!) and a whole lot of SHOULD turned into MUST.  Everyone who's going to implement this already has stable storage for their IDs, and it means clients can really rely on these IDs.

Thanks,

Bron.

---

From: Bron Gondwana <[email-masked]>
Date: Wed, 18 Jul 2018 06:52:13 +1000

> Why is it a SHOULD NOT instead of a MUST NOT in §4¶5?

Because if you have EMAILIDs, it's still one zillion times better,
because you can just fetch those and notice that the content is
already cached.
> No changes to 8.3 SHOULDs to shoulds?

Damn - missed it.  I'll do a -05.  Also I'll clarify that THREADID MUST
NOT change (from Timo's review and issues/32)

>> Hi All,
>> 
>> I've just uploaded draft-ietf-extra-imap-objectid-04, based on
>> multiple reviews.  Thanks to:>> 
>> Alexey (AD)
>> Pete (GenArt)
>> Chris (SecDir)
>> 
>>   (genart review)>> * remove suggested algorithms which are no longer legitimate (genart
>>   review)>> * updated proxy advice to suggest rewriting ids (genart review)
>> * required that EMAILID and THREADID are not identical (own decision)>> 
>> ====
>> 
>> lot of SHOULD turned into MUST.  Everyone who's going to implement
>> this already has stable storage for their IDs, and it means clients
>> can really rely on these IDs.>>

---

From: Pete Resnick <[email-masked]>
Date: Tue, 17 Jul 2018 21:02:32 +0000

> because you can just fetch those and notice that the content is

Meh. That seems to push for two separate capabilities. Otherwise it 
means I can’t really trust that MAILBOXID works, even if OBJECTID is 
advertised.

pr

---

From: Bron Gondwana <[email-masked]>
Date: Wed, 18 Jul 2018 07:04:36 +1000

> means I can’t really trust that MAILBOXID works, even if OBJECTID is

Thanks last-minute-guy :p

I'm happy to change it to a MUST if there's no objection from anybody
else.  My server keeps MAILBOXID just fine on rename.
Bron.